## gcr-renderer gcr-renderer |

## Synopsis

                        GcrRenderer;
    struct              GcrRendererIface;
    GcrRenderer *       gcr_renderer_create                 (const gchar *label,
                                                             GckAttributes *attrs);
    void                gcr_renderer_register               (GType renderer_type,
                                                             GckAttributes *attrs);
    void                gcr_renderer_popuplate_popup        (GcrRenderer *self,
                                                             GcrViewer *viewer,
                                                             GtkMenu *menu);
    void                gcr_renderer_render_view            (GcrRenderer *self,
                                                             GcrViewer *viewer);
    void                gcr_renderer_emit_data_changed      (GcrRenderer *self);
    void                gcr_renderer_register_well_known    (void);

## Object Hierarchy

      GInterface
       +----GcrRenderer

## Prerequisites

GcrRenderer requires GObject.

## Known Implementations

GcrRenderer is implemented by GcrCertificateRenderer and GcrKeyRenderer.

## Properties

      "attributes"               GckAttributes*        : Read / Write
      "label"                    gchar*                : Read / Write

## Signals

      "data-changed"                                   : Run Last

## Description

## Details

### GcrRenderer

    typedef struct _GcrRenderer GcrRenderer;

### struct GcrRendererIface

    struct GcrRendererIface {
    	GTypeInterface parent;

    	/* signals */
    	void (*data_changed) (GcrRenderer *self);

    	/* virtual */
    	void (*render_view) (GcrRenderer *self, GcrViewer *viewer);

    	void (*populate_popup) (GcrRenderer *self, GcrViewer *viewer, GtkMenu *menu);
    };

### gcr_renderer_create ()

    GcrRenderer *       gcr_renderer_create                 (const gchar *label,
                                                             GckAttributes *attrs);

### gcr_renderer_register ()

    void                gcr_renderer_register               (GType renderer_type,
                                                             GckAttributes *attrs);

### gcr_renderer_popuplate_popup ()

    void                gcr_renderer_popuplate_popup        (GcrRenderer *self,
                                                             GcrViewer *viewer,
                                                             GtkMenu *menu);

### gcr_renderer_render_view ()

    void                gcr_renderer_render_view            (GcrRenderer *self,
                                                             GcrViewer *viewer);

### gcr_renderer_emit_data_changed ()

    void                gcr_renderer_emit_data_changed      (GcrRenderer *self);

### gcr_renderer_register_well_known ()

    void                gcr_renderer_register_well_known    (void);

## Property Details

### The `"attributes"` property

      "attributes"               GckAttributes*        : Read / Write

The data displayed in the renderer.

### The `"label"` property

      "label"                    gchar*                : Read / Write

The label for the renderer.

Default value: ""

## Signal Details

### The `"data-changed"` signal

    void                user_function                      (GcrRenderer *gcrrenderer,
                                                            gpointer     user_data)        : Run Last

`gcrrenderer` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.